require 'spec_helper'

module QueuemrTest
  describe 'Queuemr createJob' do
    include_context 'request metadata'
    xit 'good test case' do
      wrap_request do
        variables = {
          'input': {
            'cloudType': 'cloudType',
            'customerId': 'customerId',
            'deDuplicationId': 'deDuplicationId',
            'jobType': 'jobType',
            'month': 'month',
            'payloadS3Path': 'payloadS3Path',
            'priority': 'priority',
            'size': 'size'
          }
        }
        graphql url(service: service),
                format_request(
                  :createJob,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:createJob, service: service)
      end
    end
    xit 'E:no auth' do
      wrap_request do
        variables = {
          'input': {
            'cloudType': 'cloudType',
            'customerId': 'customerId',
            'deDuplicationId': 'deDuplicationId',
            'jobType': 'jobType',
            'month': 'month',
            'payloadS3Path': 'payloadS3Path',
            'priority': 'priority',
            'size': 'size'
          }
        }
        graphql url(service: service),
                format_request(
                  :createJob,
                  service: service
                ),
                variables, apitest_headers
        expect_status(401)
        expect_error_graphql(
          status: 401,
          errors: [{ message: 'Invalid or missing authentication token' }]
        )
      end
    end
  end
end
