require 'spec_helper'

module QueuemrTest
  describe 'Queuemr getJob' do
    include_context 'request metadata'
    xit 'good test case' do
      wrap_request do
        variables = {
          'id': 'id'
        }
        graphql url(service: service),
                format_request(
                  :getJob,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:getJob, service: service)
      end
    end
    xit 'E:no auth' do
      wrap_request do
        variables = {
          'id': 'id'
        }
        graphql url(service: service),
                format_request(
                  :getJob,
                  service: service
                ),
                variables, apitest_headers
        expect_status(401)
        expect_error_graphql(
          status: 401,
          errors: [{ message: 'Invalid or missing authentication token' }]
        )
      end
    end
  end
end
