require 'spec_helper'

module QueuemrTest
  describe 'Queuemr createEMRCluster non livy' do
    before(:all) do
      @emr_cluster_id = 'j-2G1EGLM9ASYXP' if ENV['TEST_ENV'].eql? 'staging'
      @emr_cluster_id = '' if ENV['TEST_ENV'].eql? 'prod'

    end
    include_context 'request metadata'
    xit 'CAN CREATE M size Virtual Cluster Entry ' do
      wrap_request do
        variables = {
          'input': {
            'emrClusterId': 'j-2G1EGLM9ASYXP',
            'jobSize': 'jobSize',
            'jobType': 'jobType',
            'livyEnabled': 'livyEnabled',
            'livySessionNumExecutors': 'livySessionNumExecutors',
            'livyUrl': 'livyUrl',
            'maxActiveJobs': 'maxActiveJobs',
            'sessionCount': 'sessionCount',
            'status': 'status'
          }
        }
        graphql url(service: service),
                format_request(
                  :createEMRCluster,
                  service: service
                ),
                variables, headers
        expect_success_graphql
        check(:createEMRCluster, service: service)
      end
    end
    xit 'E:no auth' do
      wrap_request do
        variables = {
          'input': {
            'emrClusterId': 'emrClusterId',
            'jobSize': 'jobSize',
            'jobType': 'jobType',
            'livyEnabled': 'livyEnabled',
            'livySessionNumExecutors': 'livySessionNumExecutors',
            'livyUrl': 'livyUrl',
            'maxActiveJobs': 'maxActiveJobs',
            'sessionCount': 'sessionCount',
            'status': 'status'
          }
        }
        graphql url(service: service),
                format_request(
                  :createEMRCluster,
                  service: service
                ),
                variables, apitest_headers
        expect_status(401)
        expect_error_graphql(
          status: 401,
          errors: [{ message: 'Invalid or missing authentication token' }]
        )
      end
    end
  end
end
